import java.sql.*;

public class DbAbfrage
{
    public static void main (String [] args) {
        try {
            Class.forName("com.mysql.jdbc.Driver");
        }
        catch (ClassNotFoundException e) {
            System.out.println("Treiber nicht gefunden: ");
            e.printStackTrace();
        }
        
        Connection con = null;
        try {
            // Verbindung herstellen
            con = DriverManager.getConnection("jdbc:mysql://<ip_server>/<datenbankname>", "<nutzer>", "<passwort");

            // Statement erzeugen
            Statement stmt = con.createStatement();

            // Im Test gab es eine Tabelle person
            ResultSet rs = stmt.executeQuery("SELECT * FROM person");
            
            // Ergebnisse einzeln durchlaufen und die Eintraege Vorname und Nachname ausgeben
            while (rs.next()) {
                System.out.println(rs.getString("Vorname") + " " + rs.getString("Nachname"));
            }
            
            rs.close();
            stmt.close();
        }
        catch (SQLException e) {
            System.out.println("Verbindungsfehler: ");
            e.printStackTrace();
        }
        finally {
            // Verbindung wieder schliessen
            if (con != null) {
                try {
                    con.close();
                }
                catch (SQLException e) {
                    System.out.println("Fehler beim Schliessen der DB-Verbindung.");
                }
            }
        }
    }      
}
